Supported Azure DevOps Server versions for import

Florian Becher 0 Reputation points
2023-01-23T08:12:25.16+00:00

Since last week I am getting the following error running the DevOps Service migration tool:

  • [Error] VS403265: The collection's Azure DevOps Server milestone is not supported by the data migration tool: Azure DevOps Server 2020 Update 1.1. Please upgrade your Azure DevOps Server to one of the supported versions. The data migration guide has the latest supported versions: https://aka.ms/AzureDevOpsImport

However the documentation ([https://learn.microsoft.com/en-us/azure/devops/migrate/migration-overview?view=azure-devops#supported-tfs-versions-for-import checked on 23/01/2023) names the following versions as supported:

  • Azure DevOps Server 2020.1.2
  • Azure DevOps Server 2020.1.1

Can somebody tell which versions are supported in the future? Is it enough to upgrade to 2020.1.2?

Not Monitored
Not Monitored
Tag not monitored by Microsoft.
34,805 questions
{count} votes

1 answer

Sort by: Most helpful
  1. Florian Becher 0 Reputation points
    2023-05-04T06:11:43.4766667+00:00

    Was the same on our side, the documentation says that only the last 2 versions are supported. This means you need to keep your local system updated. In our migration we had also to update our local system short before the migration date because we were running out of the supported versions for the migrator tool...

    0 comments No comments